CVE-1999-1106
CVSS7.2
发布时间 :1998-04-29 00:00:00
修订时间 :2008-09-05 16:18:44
NMCOS    

[原文]Buffer overflow in kppp in KDE allows local users to gain root access via a long -c (account_name) command line argument.


[CNNVD]Kppp漏洞(CNNVD-199804-027)

        KDE Kppp存在缓冲区溢出漏洞。本地用户可以通过命令行参数中超长的-c(account_name)访问根目录。

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-1999-1106
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-1999-1106
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-199804-027
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/static/1643.php
(VENDOR_ADVISORY)  XF  kde-kppp-account-bo(1643)
http://www.securityfocus.com/bid/92
(UNKNOWN)  BID  92
http://www.securityfocus.com/archive/1/9121
(VENDOR_ADVISORY)  BUGTRAQ  19980429 Security hole in kppp

- 漏洞信息

Kppp漏洞
高危 缓冲区溢出
1998-04-29 00:00:00 2005-10-20 00:00:00
本地  
        KDE Kppp存在缓冲区溢出漏洞。本地用户可以通过命令行参数中超长的-c(account_name)访问根目录。

- 公告与补丁

        Do not run kppp setuid root. Create a modem group and run
        kppp setgid to it.

- 漏洞信息

12949
KDE kppp -c Parameter (account_name) Local Overflow
Input Manipulation
Loss of Integrity

- 漏洞描述

Unknown or Incomplete

- 时间线

1998-03-29 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Kppp Vulnerability
Boundary Condition Error 92
No Yes
1998-04-29 12:00:00 2009-07-11 12:16:00
This vulnerability was published in the BugTraq mailing list by TDP <tdp@psynet.net> on Wed, 29 Apr 1998.

- 受影响的程序版本

Bernd Johanness Wueb kppp 1.1.3

- 不受影响的程序版本

Bernd Johanness Wueb kppp 1.1.3

- 漏洞讨论

Kppp is a dialer and pppd front end. There exits a buffer overflow in the setuid kppp program. This allows local intruders to gain root access. If you pass to the '-c' argument of kppp a string longer than 246 bytes it will segment fault.

- 漏洞利用

Currently the SecurityFocus staff are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com.

- 解决方案

Do not run kppp setuid root. Create a modem group and run
kppp setgid to it.

- 相关参考

     

     

    关于SCAP中文社区

    SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

    版权声明

    CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站